function menuController($timeout, $sepInstitucion) {
    var self = this;

    self.items = [];
    self.load = load;
    self.hasSubmenus = hasSubmenus;

    load();

    function collapseItem(item) {
        if (!item) return;
        item.collapsed = true;

        if (hasSubmenus(item)) {
            item.items.forEach(function(subitem) {
                collapseItem(subitem);
            });
        }
    }

    function load() {
        return $sepInstitucion.obtenerMenu(function(res) {
            if (!res.error) {
                self.items = res.data || [];

                self.items.forEach(function(i) {
                    collapseItem(i);
                });

                $timeout(function() {
                    $('[data-submenu]').submenupicker();

                    $('.dropdown,.dropdown-submenu')
                        .focus(function() {
                            $(this).addClass('open');
                        })
                        .mouseover(function() {
                            $(this).addClass('open');
                        })
                        .mouseout(function() {
                            $(this).removeClass('open');
                            $(this).active = false;
                        });

                    $('.dropdown-submenu')
                        .click(function(e) {
                            e.stopPropagation();
                            $(this).addClass('open');
                        });

                    $('.pushy a:not([data-collapse-trigger])').on("click", function () {
                        $('.pushy-active .site-overlay').click();
                    });
                }, 1000);
            }
        });
    }

    function hasSubmenus(item) {
        if (!item) return false;

        var hasSubmenus = false;
        var items = item.items || [];
        items.forEach(function(i) {
            if (i.items) {
                hasSubmenus = true;
                return false;
            }

            return true;
        });
        return hasSubmenus;
    }
}
